#!/usr/bin/env python
#-*-coding:utf-8-*-

# Copyright (C) - 2011 Juan B Cabral <jbc dot develop at gmail dot com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Also add information on how to contact you by electronic and paper mail.


#===============================================================================
# DOCS
#===============================================================================

"""Setup for pycante (http://bitbucket.org/leliel12/pycante)"""

#===============================================================================
# NEEDED MODULES
#===============================================================================

# This modules can't be easy installed
# Syntax: ((<MODULE_NAME>, <URL OF THE TUTORIAL>), ...)
NEEDED_MODULES = (
    ("PyQt4", "http://www.riverbankcomputing.co.uk/software/pyqt/intro"), 
)


for mn, urlm in NEEDED_MODULES:
    try:
        __import__(mn)
    except ImportError:
        print "Module '%s' not found. For more details see '%s'.\n" % (mn, urlm)
        sys.exit(1)


#===============================================================================
# IMPORTS
#===============================================================================

from ez_setup import use_setuptools
use_setuptools()

from setuptools import setup

import pycante


#===============================================================================
# SETUP
#===============================================================================

download_url = "%s/get/%s.tar.gz#egg=%s-%s" % (pycante.__url__,
                                               pycante.__version__,
                                               pycante.__name__,
                                               pycante.__version__)
 
setup(name=pycante.__name__,
      version=pycante.__version__,
      description=pycante.__doc__.splitlines()[0],
      long_description=pycante.__doc__,
      author=pycante.__author__,
      author_email=pycante.__email__,
      url=pycante.__url__,
      download_url=download_url,
      license="GPL3",
      keywords="qt pyqt gui",
      classifiers=[
                   "Development Status :: 4 - Beta",
                   "Topic :: Utilities",
                   "Operating System :: OS Independent",
                   "Programming Language :: Python :: 2",
                   ],
      py_modules = ['pycante'],
      test_suite = "test",
)


#===============================================================================
# MAIN
#===============================================================================

if __name__ == '__main__':
    print(__doc__)
